| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Functions
thread_sub.c File Reference
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <ARX/ARUtil/thread_sub.h>`
`#include <pthread.h>`
Include dependency graph for thread_sub.c:

## Classes
struct | _THREAD_HANDLE_T

## Functions
int | threadStartWait (THREAD_HANDLE_T *flag)
int | threadEndSignal (THREAD_HANDLE_T *flag)
int | threadGetID (THREAD_HANDLE_T *flag)
void * | threadGetArg (THREAD_HANDLE_T *flag)
THREAD_HANDLE_T * | threadInit (int ID, void *arg, void *(*start_routine)(THREAD_HANDLE_T *))
int | threadFree (THREAD_HANDLE_T **flag)
int | threadStartSignal (THREAD_HANDLE_T *flag)
int | threadGetStatus (THREAD_HANDLE_T *flag)
int | threadGetBusyStatus (THREAD_HANDLE_T *flag)
int | threadEndWait (THREAD_HANDLE_T *flag)
int | threadWaitQuit (THREAD_HANDLE_T *flag)
int | threadGetCPU (void)

## Function Documentation

## ◆ threadEndSignal()

int threadEndSignal | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadEndWait()

int threadEndWait | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadFree()

int threadFree | ( | THREAD_HANDLE_T ** | flag | ) |

## ◆ threadGetArg()

void * threadGetArg | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadGetBusyStatus()

int threadGetBusyStatus | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadGetCPU()

int threadGetCPU | ( | void |  | ) |

## ◆ threadGetID()

int threadGetID | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadGetStatus()

int threadGetStatus | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadInit()

THREAD_HANDLE_T * threadInit | ( | int | ID,
|  | void * | arg,
|  | void *(*)(THREAD_HANDLE_T *) | start_routine
| ) |  |

Here is the call graph for this function:

## ◆ threadStartSignal()

int threadStartSignal | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadStartWait()

int threadStartWait | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadWaitQuit()

int threadWaitQuit | ( | THREAD_HANDLE_T * | flag | ) |